#!/bin/sh -e

oname=yaml
pkg=r-cran-`echo $oname | tr '[A-Z]' '[a-z]'`

if [ "$AUTOPKGTEST_TMP" = "" ] ; then
  AUTOPKGTEST_TMP=`mktemp -d /tmp/${pkg}-test.XXXXXX`
  trap "rm -rf $AUTOPKGTEST_TMP" 0 INT QUIT ABRT PIPE TERM
fi
cd $AUTOPKGTEST_TMP
cp -a /usr/lib/R/site-library/${oname}/tests $AUTOPKGTEST_TMP
ls -R $AUTOPKGTEST_TMP
LC_ALL=C R --no-save <<EOR
    require("yaml")
    require("testthat")
    test_dir("tests")
EOR
